ARPACK
Date: 2011-04-22

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.arpack
Class ARPACK

    java.lang.Object
      org.netlib.arpack.ARPACK

    public abstract class ARPACK

extends java.lang.Object

ARPACK provider which will attempt to access a native implementation and falling back to use F2J if none is available.

See Also:
  `http://sourceforge.net/projects/f2j`, `http://www.netlib.org/arpack/`

Constructor Summary
`ARPACK()`

Method Summary
`void` | `dgetv0(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, boolean arg4, int arg5, int arg6, double[] arg7, int arg9, double[] arg10, org.netlib.util.doubleW arg12, int[] arg13, double[] arg15, org.netlib.util.intW arg17)` No documentation was available when generating this method.
`void` | `dlaqrb(boolean arg1, int arg2, int arg3, int arg4, double[] arg5, int arg7, double[] arg8, double[] arg10, double[] arg12, org.netlib.util.intW arg14)` No documentation was available when generating this method.
`void` | `dmout(int arg1, int arg2, int arg3, double[] arg4, int arg6, int arg7, java.lang.String arg8)` No documentation was available when generating this method.
`void` | `dnaitr(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, int arg4, int arg5, int arg6, double[] arg7, org.netlib.util.doubleW arg9, double[] arg10, int arg12, double[] arg13, int arg15, int[] arg16, double[] arg18, org.netlib.util.intW arg20)` No documentation was available when generating this method.
`void` | `dnapps(int arg1, org.netlib.util.intW arg2, int arg3, double[] arg4, double[] arg6, double[] arg8, int arg10, double[] arg11, int arg13, double[] arg14, double[] arg16, int arg18, double[] arg19, double[] arg21)` No documentation was available when generating this method.
`void` | `dnaup2(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, java.lang.String arg4, org.netlib.util.intW arg5, org.netlib.util.intW arg6, double arg7, double[] arg8, int arg10, int arg11, int arg12, org.netlib.util.intW arg13, double[] arg14, int arg16, double[] arg17, int arg19, double[] arg20, double[] arg22, double[] arg24, double[] arg26, int arg28, double[] arg29, int[] arg31, double[] arg33, org.netlib.util.intW arg35)` No documentation was available when generating this method.
`abstract void` | `dnaupd(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, java.lang.String arg4, int arg5, org.netlib.util.doubleW arg6, double[] arg7, int arg9, double[] arg10, int arg12, int[] arg13, int[] arg15, double[] arg17, double[] arg19, int arg21, org.netlib.util.intW arg22)` No documentation was available when generating this method.
`void` | `dnconv(int arg1, double[] arg2, double[] arg4, double[] arg6, double arg8, org.netlib.util.intW arg9)` No documentation was available when generating this method.
`void` | `dneigh(double arg1, org.netlib.util.intW arg2, double[] arg3, int arg5, double[] arg6, double[] arg8, double[] arg10, double[] arg12, int arg14, double[] arg15, org.netlib.util.intW arg17)` No documentation was available when generating this method.
`abstract void` | `dneupd(boolean arg1, java.lang.String arg2, boolean[] arg3, double[] arg5, double[] arg7, double[] arg9, int arg11, double arg12, double arg13, double[] arg14, java.lang.String arg16, int arg17, java.lang.String arg18, org.netlib.util.intW arg19, double arg20, double[] arg21, int arg23, double[] arg24, int arg26, int[] arg27, int[] arg29, double[] arg31, double[] arg33, int arg35, org.netlib.util.intW arg36)` No documentation was available when generating this method.
`void` | `dngets(int arg1, java.lang.String arg2, org.netlib.util.intW arg3, org.netlib.util.intW arg4, double[] arg5, double[] arg7, double[] arg9, double[] arg11, double[] arg13)` No documentation was available when generating this method.
`void` | `dsaitr(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, int arg4, int arg5, int arg6, double[] arg7, org.netlib.util.doubleW arg9, double[] arg10, int arg12, double[] arg13, int arg15, int[] arg16, double[] arg18, org.netlib.util.intW arg20)` No documentation was available when generating this method.
`void` | `dsapps(int arg1, int arg2, int arg3, double[] arg4, double[] arg6, int arg8, double[] arg9, int arg11, double[] arg12, double[] arg14, int arg16, double[] arg17)` No documentation was available when generating this method.
`void` | `dsaup2(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, java.lang.String arg4, org.netlib.util.intW arg5, org.netlib.util.intW arg6, double arg7, double[] arg8, int arg10, int arg11, int arg12, org.netlib.util.intW arg13, double[] arg14, int arg16, double[] arg17, int arg19, double[] arg20, double[] arg22, double[] arg24, int arg26, double[] arg27, int[] arg29, double[] arg31, org.netlib.util.intW arg33)` No documentation was available when generating this method.
`abstract void` | `dsaupd(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, java.lang.String arg4, int arg5, org.netlib.util.doubleW arg6, double[] arg7, int arg9, double[] arg10, int arg12, int[] arg13, int[] arg15, double[] arg17, double[] arg19, int arg21, org.netlib.util.intW arg22)` No documentation was available when generating this method.
`void` | `dsconv(int arg1, double[] arg2, double[] arg4, double arg6, org.netlib.util.intW arg7)` No documentation was available when generating this method.
`void` | `dseigt(double arg1, int arg2, double[] arg3, int arg5, double[] arg6, double[] arg8, double[] arg10, org.netlib.util.intW arg12)` No documentation was available when generating this method.
`void` | `dsesrt(java.lang.String arg1, boolean arg2, int arg3, double[] arg4, int arg6, double[] arg7, int arg9)` No documentation was available when generating this method.
`abstract void` | `dseupd(boolean arg1, java.lang.String arg2, boolean[] arg3, double[] arg5, double[] arg7, int arg9, double arg10, java.lang.String arg11, int arg12, java.lang.String arg13, org.netlib.util.intW arg14, double arg15, double[] arg16, int arg18, double[] arg19, int arg21, int[] arg22, int[] arg24, double[] arg26, double[] arg28, int arg30, org.netlib.util.intW arg31)` No documentation was available when generating this method.
`void` | `dsgets(int arg1, java.lang.String arg2, org.netlib.util.intW arg3, org.netlib.util.intW arg4, double[] arg5, double[] arg7, double[] arg9)` No documentation was available when generating this method.
`void` | `dsortc(java.lang.String arg1, boolean arg2, int arg3, double[] arg4, double[] arg6, double[] arg8)` No documentation was available when generating this method.
`void` | `dsortr(java.lang.String arg1, boolean arg2, int arg3, double[] arg4, double[] arg6)` No documentation was available when generating this method.
`void` | `dstatn()` No documentation was available when generating this method.
`void` | `dstats()` No documentation was available when generating this method.
`void` | `dstqrb(int arg1, double[] arg2, double[] arg4, double[] arg6, double[] arg8, org.netlib.util.intW arg10)` No documentation was available when generating this method.
`void` | `dvout(int arg1, int arg2, double[] arg3, int arg5, java.lang.String arg6)` No documentation was available when generating this method.
`static ARPACK` | `getInstance()`
`int` | `icnteq(int arg1, int[] arg2, int arg4)` No documentation was available when generating this method.
`void` | `icopy(int arg1, int[] arg2, int arg4, int[] arg5, int arg7)` No documentation was available when generating this method.
`void` | `iset(int arg1, int arg2, int[] arg3, int arg5)` No documentation was available when generating this method.
`void` | `iswap(int arg1, int[] arg2, int arg4, int[] arg5, int arg7)` No documentation was available when generating this method.
`void` | `ivout(int arg1, int arg2, int[] arg3, int arg5, java.lang.String arg6)` No documentation was available when generating this method.
`void` | `second(org.netlib.util.floatW arg1)` No documentation was available when generating this method.
`void` | `sgetv0(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, boolean arg4, int arg5, int arg6, float[] arg7, int arg9, float[] arg10, org.netlib.util.floatW arg12, int[] arg13, float[] arg15, org.netlib.util.intW arg17)` No documentation was available when generating this method.
`void` | `slaqrb(boolean arg1, int arg2, int arg3, int arg4, float[] arg5, int arg7, float[] arg8, float[] arg10, float[] arg12, org.netlib.util.intW arg14)` No documentation was available when generating this method.
`void` | `smout(int arg1, int arg2, int arg3, float[] arg4, int arg6, int arg7, java.lang.String arg8)` No documentation was available when generating this method.
`void` | `snaitr(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, int arg4, int arg5, int arg6, float[] arg7, org.netlib.util.floatW arg9, float[] arg10, int arg12, float[] arg13, int arg15, int[] arg16, float[] arg18, org.netlib.util.intW arg20)` No documentation was available when generating this method.
`void` | `snapps(int arg1, org.netlib.util.intW arg2, int arg3, float[] arg4, float[] arg6, float[] arg8, int arg10, float[] arg11, int arg13, float[] arg14, float[] arg16, int arg18, float[] arg19, float[] arg21)` No documentation was available when generating this method.
`void` | `snaup2(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, java.lang.String arg4, org.netlib.util.intW arg5, org.netlib.util.intW arg6, float arg7, float[] arg8, int arg10, int arg11, int arg12, org.netlib.util.intW arg13, float[] arg14, int arg16, float[] arg17, int arg19, float[] arg20, float[] arg22, float[] arg24, float[] arg26, int arg28, float[] arg29, int[] arg31, float[] arg33, org.netlib.util.intW arg35)` No documentation was available when generating this method.
`abstract void` | `snaupd(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, java.lang.String arg4, int arg5, org.netlib.util.floatW arg6, float[] arg7, int arg9, float[] arg10, int arg12, int[] arg13, int[] arg15, float[] arg17, float[] arg19, int arg21, org.netlib.util.intW arg22)` No documentation was available when generating this method.
`void` | `snconv(int arg1, float[] arg2, float[] arg4, float[] arg6, float arg8, org.netlib.util.intW arg9)` No documentation was available when generating this method.
`void` | `sneigh(float arg1, org.netlib.util.intW arg2, float[] arg3, int arg5, float[] arg6, float[] arg8, float[] arg10, float[] arg12, int arg14, float[] arg15, org.netlib.util.intW arg17)` No documentation was available when generating this method.
`abstract void` | `sneupd(boolean arg1, java.lang.String arg2, boolean[] arg3, float[] arg5, float[] arg7, float[] arg9, int arg11, float arg12, float arg13, float[] arg14, java.lang.String arg16, int arg17, java.lang.String arg18, org.netlib.util.intW arg19, float arg20, float[] arg21, int arg23, float[] arg24, int arg26, int[] arg27, int[] arg29, float[] arg31, float[] arg33, int arg35, org.netlib.util.intW arg36)` No documentation was available when generating this method.
`void` | `sngets(int arg1, java.lang.String arg2, org.netlib.util.intW arg3, org.netlib.util.intW arg4, float[] arg5, float[] arg7, float[] arg9, float[] arg11, float[] arg13)` No documentation was available when generating this method.
`void` | `ssaitr(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, int arg4, int arg5, int arg6, float[] arg7, org.netlib.util.floatW arg9, float[] arg10, int arg12, float[] arg13, int arg15, int[] arg16, float[] arg18, org.netlib.util.intW arg20)` No documentation was available when generating this method.
`void` | `ssapps(int arg1, int arg2, int arg3, float[] arg4, float[] arg6, int arg8, float[] arg9, int arg11, float[] arg12, float[] arg14, int arg16, float[] arg17)` No documentation was available when generating this method.
`void` | `ssaup2(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, java.lang.String arg4, org.netlib.util.intW arg5, org.netlib.util.intW arg6, float arg7, float[] arg8, int arg10, int arg11, int arg12, org.netlib.util.intW arg13, float[] arg14, int arg16, float[] arg17, int arg19, float[] arg20, float[] arg22, float[] arg24, int arg26, float[] arg27, int[] arg29, float[] arg31, org.netlib.util.intW arg33)` No documentation was available when generating this method.
`abstract void` | `ssaupd(org.netlib.util.intW arg1, java.lang.String arg2, int arg3, java.lang.String arg4, int arg5, org.netlib.util.floatW arg6, float[] arg7, int arg9, float[] arg10, int arg12, int[] arg13, int[] arg15, float[] arg17, float[] arg19, int arg21, org.netlib.util.intW arg22)` No documentation was available when generating this method.
`void` | `ssconv(int arg1, float[] arg2, float[] arg4, float arg6, org.netlib.util.intW arg7)` No documentation was available when generating this method.
`void` | `sseigt(float arg1, int arg2, float[] arg3, int arg5, float[] arg6, float[] arg8, float[] arg10, org.netlib.util.intW arg12)` No documentation was available when generating this method.
`void` | `ssesrt(java.lang.String arg1, boolean arg2, int arg3, float[] arg4, int arg6, float[] arg7, int arg9)` No documentation was available when generating this method.
`abstract void` | `sseupd(boolean arg1, java.lang.String arg2, boolean[] arg3, float[] arg5, float[] arg7, int arg9, float arg10, java.lang.String arg11, int arg12, java.lang.String arg13, org.netlib.util.intW arg14, float arg15, float[] arg16, int arg18, float[] arg19, int arg21, int[] arg22, int[] arg24, float[] arg26, float[] arg28, int arg30, org.netlib.util.intW arg31)` No documentation was available when generating this method.
`void` | `ssgets(int arg1, java.lang.String arg2, org.netlib.util.intW arg3, org.netlib.util.intW arg4, float[] arg5, float[] arg7, float[] arg9)` No documentation was available when generating this method.
`void` | `ssortc(java.lang.String arg1, boolean arg2, int arg3, float[] arg4, float[] arg6, float[] arg8)` No documentation was available when generating this method.
`void` | `ssortr(java.lang.String arg1, boolean arg2, int arg3, float[] arg4, float[] arg6)` No documentation was available when generating this method.
`void` | `sstatn()` No documentation was available when generating this method.
`void` | `sstats()` No documentation was available when generating this method.
`void` | `sstqrb(int arg1, float[] arg2, float[] arg4, float[] arg6, float[] arg8, org.netlib.util.intW arg10)` No documentation was available when generating this method.
`void` | `svout(int arg1, int arg2, float[] arg3, int arg5, java.lang.String arg6)` No documentation was available when generating this method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ARPACK

    public ARPACK()

Method Detail

### getInstance

    public static ARPACK getInstance()

### dmout

    public void dmout(int arg1,
                      int arg2,
                      int arg3,
                      double[] arg4,
                      int arg6,
                      int arg7,
                      java.lang.String arg8)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg7` -
    `arg8` -

### dvout

    public void dvout(int arg1,
                      int arg2,
                      double[] arg3,
                      int arg5,
                      java.lang.String arg6)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg6` -

### icnteq

    public int icnteq(int arg1,
                      int[] arg2,
                      int arg4)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg4` -

### icopy

    public void icopy(int arg1,
                      int[] arg2,
                      int arg4,
                      int[] arg5,
                      int arg7)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg4` -
    `arg5` -
    `arg7` -

### iset

    public void iset(int arg1,
                     int arg2,
                     int[] arg3,
                     int arg5)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -

### iswap

    public void iswap(int arg1,
                      int[] arg2,
                      int arg4,
                      int[] arg5,
                      int arg7)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg4` -
    `arg5` -
    `arg7` -

### ivout

    public void ivout(int arg1,
                      int arg2,
                      int[] arg3,
                      int arg5,
                      java.lang.String arg6)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg6` -

### second

    public void second(org.netlib.util.floatW arg1)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -

### smout

    public void smout(int arg1,
                      int arg2,
                      int arg3,
                      float[] arg4,
                      int arg6,
                      int arg7,
                      java.lang.String arg8)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg7` -
    `arg8` -

### svout

    public void svout(int arg1,
                      int arg2,
                      float[] arg3,
                      int arg5,
                      java.lang.String arg6)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg6` -

### dgetv0

    public void dgetv0(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       boolean arg4,
                       int arg5,
                       int arg6,
                       double[] arg7,
                       int arg9,
                       double[] arg10,
                       org.netlib.util.doubleW arg12,
                       int[] arg13,
                       double[] arg15,
                       org.netlib.util.intW arg17)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg17` -

### dlaqrb

    public void dlaqrb(boolean arg1,
                       int arg2,
                       int arg3,
                       int arg4,
                       double[] arg5,
                       int arg7,
                       double[] arg8,
                       double[] arg10,
                       double[] arg12,
                       org.netlib.util.intW arg14)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg7` -
    `arg8` -
    `arg10` -
    `arg12` -
    `arg14` -

### dnaitr

    public void dnaitr(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       int arg4,
                       int arg5,
                       int arg6,
                       double[] arg7,
                       org.netlib.util.doubleW arg9,
                       double[] arg10,
                       int arg12,
                       double[] arg13,
                       int arg15,
                       int[] arg16,
                       double[] arg18,
                       org.netlib.util.intW arg20)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg16` -
    `arg18` -
    `arg20` -

### dnapps

    public void dnapps(int arg1,
                       org.netlib.util.intW arg2,
                       int arg3,
                       double[] arg4,
                       double[] arg6,
                       double[] arg8,
                       int arg10,
                       double[] arg11,
                       int arg13,
                       double[] arg14,
                       double[] arg16,
                       int arg18,
                       double[] arg19,
                       double[] arg21)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg8` -
    `arg10` -
    `arg11` -
    `arg13` -
    `arg14` -
    `arg16` -
    `arg18` -
    `arg19` -
    `arg21` -

### dnaup2

    public void dnaup2(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       java.lang.String arg4,
                       org.netlib.util.intW arg5,
                       org.netlib.util.intW arg6,
                       double arg7,
                       double[] arg8,
                       int arg10,
                       int arg11,
                       int arg12,
                       org.netlib.util.intW arg13,
                       double[] arg14,
                       int arg16,
                       double[] arg17,
                       int arg19,
                       double[] arg20,
                       double[] arg22,
                       double[] arg24,
                       double[] arg26,
                       int arg28,
                       double[] arg29,
                       int[] arg31,
                       double[] arg33,
                       org.netlib.util.intW arg35)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg8` -
    `arg10` -
    `arg11` -
    `arg12` -
    `arg13` -
    `arg14` -
    `arg16` -
    `arg17` -
    `arg19` -
    `arg20` -
    `arg22` -
    `arg24` -
    `arg26` -
    `arg28` -
    `arg29` -
    `arg31` -
    `arg33` -
    `arg35` -

### dnaupd

    public abstract void dnaupd(org.netlib.util.intW arg1,
                                java.lang.String arg2,
                                int arg3,
                                java.lang.String arg4,
                                int arg5,
                                org.netlib.util.doubleW arg6,
                                double[] arg7,
                                int arg9,
                                double[] arg10,
                                int arg12,
                                int[] arg13,
                                int[] arg15,
                                double[] arg17,
                                double[] arg19,
                                int arg21,
                                org.netlib.util.intW arg22)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg17` -
    `arg19` -
    `arg21` -
    `arg22` -

### dnconv

    public void dnconv(int arg1,
                       double[] arg2,
                       double[] arg4,
                       double[] arg6,
                       double arg8,
                       org.netlib.util.intW arg9)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg4` -
    `arg6` -
    `arg8` -
    `arg9` -

### dneigh

    public void dneigh(double arg1,
                       org.netlib.util.intW arg2,
                       double[] arg3,
                       int arg5,
                       double[] arg6,
                       double[] arg8,
                       double[] arg10,
                       double[] arg12,
                       int arg14,
                       double[] arg15,
                       org.netlib.util.intW arg17)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg6` -
    `arg8` -
    `arg10` -
    `arg12` -
    `arg14` -
    `arg15` -
    `arg17` -

### dneupd

    public abstract void dneupd(boolean arg1,
                                java.lang.String arg2,
                                boolean[] arg3,
                                double[] arg5,
                                double[] arg7,
                                double[] arg9,
                                int arg11,
                                double arg12,
                                double arg13,
                                double[] arg14,
                                java.lang.String arg16,
                                int arg17,
                                java.lang.String arg18,
                                org.netlib.util.intW arg19,
                                double arg20,
                                double[] arg21,
                                int arg23,
                                double[] arg24,
                                int arg26,
                                int[] arg27,
                                int[] arg29,
                                double[] arg31,
                                double[] arg33,
                                int arg35,
                                org.netlib.util.intW arg36)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg7` -
    `arg9` -
    `arg11` -
    `arg12` -
    `arg13` -
    `arg14` -
    `arg16` -
    `arg17` -
    `arg18` -
    `arg19` -
    `arg20` -
    `arg21` -
    `arg23` -
    `arg24` -
    `arg26` -
    `arg27` -
    `arg29` -
    `arg31` -
    `arg33` -
    `arg35` -
    `arg36` -

### dngets

    public void dngets(int arg1,
                       java.lang.String arg2,
                       org.netlib.util.intW arg3,
                       org.netlib.util.intW arg4,
                       double[] arg5,
                       double[] arg7,
                       double[] arg9,
                       double[] arg11,
                       double[] arg13)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg7` -
    `arg9` -
    `arg11` -
    `arg13` -

### dsaitr

    public void dsaitr(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       int arg4,
                       int arg5,
                       int arg6,
                       double[] arg7,
                       org.netlib.util.doubleW arg9,
                       double[] arg10,
                       int arg12,
                       double[] arg13,
                       int arg15,
                       int[] arg16,
                       double[] arg18,
                       org.netlib.util.intW arg20)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg16` -
    `arg18` -
    `arg20` -

### dsapps

    public void dsapps(int arg1,
                       int arg2,
                       int arg3,
                       double[] arg4,
                       double[] arg6,
                       int arg8,
                       double[] arg9,
                       int arg11,
                       double[] arg12,
                       double[] arg14,
                       int arg16,
                       double[] arg17)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg8` -
    `arg9` -
    `arg11` -
    `arg12` -
    `arg14` -
    `arg16` -
    `arg17` -

### dsaup2

    public void dsaup2(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       java.lang.String arg4,
                       org.netlib.util.intW arg5,
                       org.netlib.util.intW arg6,
                       double arg7,
                       double[] arg8,
                       int arg10,
                       int arg11,
                       int arg12,
                       org.netlib.util.intW arg13,
                       double[] arg14,
                       int arg16,
                       double[] arg17,
                       int arg19,
                       double[] arg20,
                       double[] arg22,
                       double[] arg24,
                       int arg26,
                       double[] arg27,
                       int[] arg29,
                       double[] arg31,
                       org.netlib.util.intW arg33)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg8` -
    `arg10` -
    `arg11` -
    `arg12` -
    `arg13` -
    `arg14` -
    `arg16` -
    `arg17` -
    `arg19` -
    `arg20` -
    `arg22` -
    `arg24` -
    `arg26` -
    `arg27` -
    `arg29` -
    `arg31` -
    `arg33` -

### dsaupd

    public abstract void dsaupd(org.netlib.util.intW arg1,
                                java.lang.String arg2,
                                int arg3,
                                java.lang.String arg4,
                                int arg5,
                                org.netlib.util.doubleW arg6,
                                double[] arg7,
                                int arg9,
                                double[] arg10,
                                int arg12,
                                int[] arg13,
                                int[] arg15,
                                double[] arg17,
                                double[] arg19,
                                int arg21,
                                org.netlib.util.intW arg22)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg17` -
    `arg19` -
    `arg21` -
    `arg22` -

### dsconv

    public void dsconv(int arg1,
                       double[] arg2,
                       double[] arg4,
                       double arg6,
                       org.netlib.util.intW arg7)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg4` -
    `arg6` -
    `arg7` -

### dseigt

    public void dseigt(double arg1,
                       int arg2,
                       double[] arg3,
                       int arg5,
                       double[] arg6,
                       double[] arg8,
                       double[] arg10,
                       org.netlib.util.intW arg12)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg6` -
    `arg8` -
    `arg10` -
    `arg12` -

### dsesrt

    public void dsesrt(java.lang.String arg1,
                       boolean arg2,
                       int arg3,
                       double[] arg4,
                       int arg6,
                       double[] arg7,
                       int arg9)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg7` -
    `arg9` -

### dseupd

    public abstract void dseupd(boolean arg1,
                                java.lang.String arg2,
                                boolean[] arg3,
                                double[] arg5,
                                double[] arg7,
                                int arg9,
                                double arg10,
                                java.lang.String arg11,
                                int arg12,
                                java.lang.String arg13,
                                org.netlib.util.intW arg14,
                                double arg15,
                                double[] arg16,
                                int arg18,
                                double[] arg19,
                                int arg21,
                                int[] arg22,
                                int[] arg24,
                                double[] arg26,
                                double[] arg28,
                                int arg30,
                                org.netlib.util.intW arg31)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg11` -
    `arg12` -
    `arg13` -
    `arg14` -
    `arg15` -
    `arg16` -
    `arg18` -
    `arg19` -
    `arg21` -
    `arg22` -
    `arg24` -
    `arg26` -
    `arg28` -
    `arg30` -
    `arg31` -

### dsgets

    public void dsgets(int arg1,
                       java.lang.String arg2,
                       org.netlib.util.intW arg3,
                       org.netlib.util.intW arg4,
                       double[] arg5,
                       double[] arg7,
                       double[] arg9)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg7` -
    `arg9` -

### dsortc

    public void dsortc(java.lang.String arg1,
                       boolean arg2,
                       int arg3,
                       double[] arg4,
                       double[] arg6,
                       double[] arg8)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg8` -

### dsortr

    public void dsortr(java.lang.String arg1,
                       boolean arg2,
                       int arg3,
                       double[] arg4,
                       double[] arg6)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -

### dstatn

    public void dstatn()

  No documentation was available when generating this method.

### dstats

    public void dstats()

  No documentation was available when generating this method.

### dstqrb

    public void dstqrb(int arg1,
                       double[] arg2,
                       double[] arg4,
                       double[] arg6,
                       double[] arg8,
                       org.netlib.util.intW arg10)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg4` -
    `arg6` -
    `arg8` -
    `arg10` -

### sgetv0

    public void sgetv0(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       boolean arg4,
                       int arg5,
                       int arg6,
                       float[] arg7,
                       int arg9,
                       float[] arg10,
                       org.netlib.util.floatW arg12,
                       int[] arg13,
                       float[] arg15,
                       org.netlib.util.intW arg17)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg17` -

### slaqrb

    public void slaqrb(boolean arg1,
                       int arg2,
                       int arg3,
                       int arg4,
                       float[] arg5,
                       int arg7,
                       float[] arg8,
                       float[] arg10,
                       float[] arg12,
                       org.netlib.util.intW arg14)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg7` -
    `arg8` -
    `arg10` -
    `arg12` -
    `arg14` -

### snaitr

    public void snaitr(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       int arg4,
                       int arg5,
                       int arg6,
                       float[] arg7,
                       org.netlib.util.floatW arg9,
                       float[] arg10,
                       int arg12,
                       float[] arg13,
                       int arg15,
                       int[] arg16,
                       float[] arg18,
                       org.netlib.util.intW arg20)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg16` -
    `arg18` -
    `arg20` -

### snapps

    public void snapps(int arg1,
                       org.netlib.util.intW arg2,
                       int arg3,
                       float[] arg4,
                       float[] arg6,
                       float[] arg8,
                       int arg10,
                       float[] arg11,
                       int arg13,
                       float[] arg14,
                       float[] arg16,
                       int arg18,
                       float[] arg19,
                       float[] arg21)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg8` -
    `arg10` -
    `arg11` -
    `arg13` -
    `arg14` -
    `arg16` -
    `arg18` -
    `arg19` -
    `arg21` -

### snaup2

    public void snaup2(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       java.lang.String arg4,
                       org.netlib.util.intW arg5,
                       org.netlib.util.intW arg6,
                       float arg7,
                       float[] arg8,
                       int arg10,
                       int arg11,
                       int arg12,
                       org.netlib.util.intW arg13,
                       float[] arg14,
                       int arg16,
                       float[] arg17,
                       int arg19,
                       float[] arg20,
                       float[] arg22,
                       float[] arg24,
                       float[] arg26,
                       int arg28,
                       float[] arg29,
                       int[] arg31,
                       float[] arg33,
                       org.netlib.util.intW arg35)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg8` -
    `arg10` -
    `arg11` -
    `arg12` -
    `arg13` -
    `arg14` -
    `arg16` -
    `arg17` -
    `arg19` -
    `arg20` -
    `arg22` -
    `arg24` -
    `arg26` -
    `arg28` -
    `arg29` -
    `arg31` -
    `arg33` -
    `arg35` -

### snaupd

    public abstract void snaupd(org.netlib.util.intW arg1,
                                java.lang.String arg2,
                                int arg3,
                                java.lang.String arg4,
                                int arg5,
                                org.netlib.util.floatW arg6,
                                float[] arg7,
                                int arg9,
                                float[] arg10,
                                int arg12,
                                int[] arg13,
                                int[] arg15,
                                float[] arg17,
                                float[] arg19,
                                int arg21,
                                org.netlib.util.intW arg22)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg17` -
    `arg19` -
    `arg21` -
    `arg22` -

### snconv

    public void snconv(int arg1,
                       float[] arg2,
                       float[] arg4,
                       float[] arg6,
                       float arg8,
                       org.netlib.util.intW arg9)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg4` -
    `arg6` -
    `arg8` -
    `arg9` -

### sneigh

    public void sneigh(float arg1,
                       org.netlib.util.intW arg2,
                       float[] arg3,
                       int arg5,
                       float[] arg6,
                       float[] arg8,
                       float[] arg10,
                       float[] arg12,
                       int arg14,
                       float[] arg15,
                       org.netlib.util.intW arg17)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg6` -
    `arg8` -
    `arg10` -
    `arg12` -
    `arg14` -
    `arg15` -
    `arg17` -

### sneupd

    public abstract void sneupd(boolean arg1,
                                java.lang.String arg2,
                                boolean[] arg3,
                                float[] arg5,
                                float[] arg7,
                                float[] arg9,
                                int arg11,
                                float arg12,
                                float arg13,
                                float[] arg14,
                                java.lang.String arg16,
                                int arg17,
                                java.lang.String arg18,
                                org.netlib.util.intW arg19,
                                float arg20,
                                float[] arg21,
                                int arg23,
                                float[] arg24,
                                int arg26,
                                int[] arg27,
                                int[] arg29,
                                float[] arg31,
                                float[] arg33,
                                int arg35,
                                org.netlib.util.intW arg36)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg7` -
    `arg9` -
    `arg11` -
    `arg12` -
    `arg13` -
    `arg14` -
    `arg16` -
    `arg17` -
    `arg18` -
    `arg19` -
    `arg20` -
    `arg21` -
    `arg23` -
    `arg24` -
    `arg26` -
    `arg27` -
    `arg29` -
    `arg31` -
    `arg33` -
    `arg35` -
    `arg36` -

### sngets

    public void sngets(int arg1,
                       java.lang.String arg2,
                       org.netlib.util.intW arg3,
                       org.netlib.util.intW arg4,
                       float[] arg5,
                       float[] arg7,
                       float[] arg9,
                       float[] arg11,
                       float[] arg13)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg7` -
    `arg9` -
    `arg11` -
    `arg13` -

### ssaitr

    public void ssaitr(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       int arg4,
                       int arg5,
                       int arg6,
                       float[] arg7,
                       org.netlib.util.floatW arg9,
                       float[] arg10,
                       int arg12,
                       float[] arg13,
                       int arg15,
                       int[] arg16,
                       float[] arg18,
                       org.netlib.util.intW arg20)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg16` -
    `arg18` -
    `arg20` -

### ssapps

    public void ssapps(int arg1,
                       int arg2,
                       int arg3,
                       float[] arg4,
                       float[] arg6,
                       int arg8,
                       float[] arg9,
                       int arg11,
                       float[] arg12,
                       float[] arg14,
                       int arg16,
                       float[] arg17)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg8` -
    `arg9` -
    `arg11` -
    `arg12` -
    `arg14` -
    `arg16` -
    `arg17` -

### ssaup2

    public void ssaup2(org.netlib.util.intW arg1,
                       java.lang.String arg2,
                       int arg3,
                       java.lang.String arg4,
                       org.netlib.util.intW arg5,
                       org.netlib.util.intW arg6,
                       float arg7,
                       float[] arg8,
                       int arg10,
                       int arg11,
                       int arg12,
                       org.netlib.util.intW arg13,
                       float[] arg14,
                       int arg16,
                       float[] arg17,
                       int arg19,
                       float[] arg20,
                       float[] arg22,
                       float[] arg24,
                       int arg26,
                       float[] arg27,
                       int[] arg29,
                       float[] arg31,
                       org.netlib.util.intW arg33)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg8` -
    `arg10` -
    `arg11` -
    `arg12` -
    `arg13` -
    `arg14` -
    `arg16` -
    `arg17` -
    `arg19` -
    `arg20` -
    `arg22` -
    `arg24` -
    `arg26` -
    `arg27` -
    `arg29` -
    `arg31` -
    `arg33` -

### ssaupd

    public abstract void ssaupd(org.netlib.util.intW arg1,
                                java.lang.String arg2,
                                int arg3,
                                java.lang.String arg4,
                                int arg5,
                                org.netlib.util.floatW arg6,
                                float[] arg7,
                                int arg9,
                                float[] arg10,
                                int arg12,
                                int[] arg13,
                                int[] arg15,
                                float[] arg17,
                                float[] arg19,
                                int arg21,
                                org.netlib.util.intW arg22)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg6` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg12` -
    `arg13` -
    `arg15` -
    `arg17` -
    `arg19` -
    `arg21` -
    `arg22` -

### ssconv

    public void ssconv(int arg1,
                       float[] arg2,
                       float[] arg4,
                       float arg6,
                       org.netlib.util.intW arg7)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg4` -
    `arg6` -
    `arg7` -

### sseigt

    public void sseigt(float arg1,
                       int arg2,
                       float[] arg3,
                       int arg5,
                       float[] arg6,
                       float[] arg8,
                       float[] arg10,
                       org.netlib.util.intW arg12)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg6` -
    `arg8` -
    `arg10` -
    `arg12` -

### ssesrt

    public void ssesrt(java.lang.String arg1,
                       boolean arg2,
                       int arg3,
                       float[] arg4,
                       int arg6,
                       float[] arg7,
                       int arg9)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg7` -
    `arg9` -

### sseupd

    public abstract void sseupd(boolean arg1,
                                java.lang.String arg2,
                                boolean[] arg3,
                                float[] arg5,
                                float[] arg7,
                                int arg9,
                                float arg10,
                                java.lang.String arg11,
                                int arg12,
                                java.lang.String arg13,
                                org.netlib.util.intW arg14,
                                float arg15,
                                float[] arg16,
                                int arg18,
                                float[] arg19,
                                int arg21,
                                int[] arg22,
                                int[] arg24,
                                float[] arg26,
                                float[] arg28,
                                int arg30,
                                org.netlib.util.intW arg31)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg5` -
    `arg7` -
    `arg9` -
    `arg10` -
    `arg11` -
    `arg12` -
    `arg13` -
    `arg14` -
    `arg15` -
    `arg16` -
    `arg18` -
    `arg19` -
    `arg21` -
    `arg22` -
    `arg24` -
    `arg26` -
    `arg28` -
    `arg30` -
    `arg31` -

### ssgets

    public void ssgets(int arg1,
                       java.lang.String arg2,
                       org.netlib.util.intW arg3,
                       org.netlib.util.intW arg4,
                       float[] arg5,
                       float[] arg7,
                       float[] arg9)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg5` -
    `arg7` -
    `arg9` -

### ssortc

    public void ssortc(java.lang.String arg1,
                       boolean arg2,
                       int arg3,
                       float[] arg4,
                       float[] arg6,
                       float[] arg8)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -
    `arg8` -

### ssortr

    public void ssortr(java.lang.String arg1,
                       boolean arg2,
                       int arg3,
                       float[] arg4,
                       float[] arg6)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg3` -
    `arg4` -
    `arg6` -

### sstatn

    public void sstatn()

  No documentation was available when generating this method.

### sstats

    public void sstats()

  No documentation was available when generating this method.

### sstqrb

    public void sstqrb(int arg1,
                       float[] arg2,
                       float[] arg4,
                       float[] arg6,
                       float[] arg8,
                       org.netlib.util.intW arg10)

  No documentation was available when generating this method.

  Parameters:
    `arg1` -
    `arg2` -
    `arg4` -
    `arg6` -
    `arg8` -
    `arg10` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD